import request from '@/utils/request';

/**
 *分页查询放行单模板
 */
export async function checklisttemplatePage(data) {
  const res = await request.post('/mes/checklisttemplate/page', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklisttemplate/getById/{id}
export async function checklisttemplateGetById(id) {
  const res = await request.get(`/mes/checklisttemplate/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// /mes/checklisttemplate/save 保存放行单模板
export async function checktemplateSave(data) {
  const res = await request.post('/mes/checklisttemplate/save', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

//  /mes/checklisttemplate/update 更新放行单模板
export async function checklisttemplateUpdate(data) {
  const res = await request.put('/mes/checklisttemplate/update', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

//  /mes/checklisttemplate/logicDeleteByIds
export async function checklisttemplateLogicDeleteByIds(data) {
  const res = await request.delete('/mes/checklisttemplate/logicDeleteByIds', {
    data,
  });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
